package bs

//remove if not needed
import scala.collection.JavaConversions._

class Bank(c: Converter) {

  private var accounts: java.util.HashMap[java.lang.String, bs.Account] = _

  def depisitOnAccount(id: String, amount: Double): Unit = {
    if (accounts.containsKey(id)) {
      accounts.get(id).deposit(amount)
    } else {
      println("The account does not exist!")
    }
  }

  def withdrawfromAccount(id: String, amount: Double): Unit = {
    if (accounts.containsKey(id)) {
      accounts.get(id).withdraw(amount)
    } else {
      println("The account does not exist!")
    }
  }

  def display(): Unit = {
    println("Bank")
  }

  private var converter: Converter = c

  def convert(curSource: Int, curTarget: Int, amount: Double): Double =
    converter.conv(curSource, curTarget, amount)

}
