package bs

class Account(private var id: String, private var balance: Double) {

  def deposit(amount: Double): Unit = {
    this.balance += amount
  }

  def getAmount(): Double = balance

  def withdraw(amount: Double): Unit = {
    if (amount <= balance) {
      balance -= amount
    } else {
      println("Insuffisent balance..!!")
    }
  }
}


